Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.hadoop
Class HadoopCoGroupClosure

    java.lang.Object
      cascading.pipe.joiner.JoinerClosure
          cascading.flow.hadoop.HadoopGroupByClosure
              cascading.flow.hadoop.HadoopCoGroupClosure

    public class HadoopCoGroupClosure

extends HadoopGroupByClosure

Class CoGroupClosure is used internally to represent co-grouping results of multiple tuple streams.

Nested Class Summary
`static class` | `HadoopCoGroupClosure.Spill`

Field Summary

Fields inherited from class cascading.flow.hadoop.HadoopGroupByClosure
`grouping, values`

Fields inherited from class cascading.pipe.joiner.JoinerClosure
`flowProcess, joinFields, valueFields`

Constructor Summary
`HadoopCoGroupClosure(FlowProcess flowProcess, int numSelfJoins, Fields[] groupingFields, Fields[] valueFields)`

Method Summary
`Iterator<Tuple>` | `createIterator(IndexTuple current, Iterator<IndexTuple> values)`
`Tuple` | `getGroupTuple(Tuple keysTuple)`
`Iterator<Tuple>` | `getIterator(int pos)`
`boolean` | `isEmpty(int pos)`
`void` | `reset(Tuple grouping, Iterator values)`
`int` | `size()`

Methods inherited from class cascading.flow.hadoop.HadoopGroupByClosure
`getGrouping, makeIterator`

Methods inherited from class cascading.pipe.joiner.JoinerClosure
`getFlowProcess, getJoinFields, getValueFields, isSelfJoin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HadoopCoGroupClosure

    public HadoopCoGroupClosure(FlowProcess flowProcess,
                                int numSelfJoins,
                                Fields[] groupingFields,
                                Fields[] valueFields)

Method Detail

### size

    public int size()

  Overrides:
    `size` in class `HadoopGroupByClosure`

### getIterator

    public Iterator<Tuple> getIterator(int pos)

  Overrides:
    `getIterator` in class `HadoopGroupByClosure`

### getGroupTuple

    public Tuple getGroupTuple(Tuple keysTuple)

  Overrides:
    `getGroupTuple` in class `HadoopGroupByClosure`

### isEmpty

    public boolean isEmpty(int pos)

  Overrides:
    `isEmpty` in class `HadoopGroupByClosure`

### reset

    public void reset(Tuple grouping,
                      Iterator values)

  Overrides:
    `reset` in class `HadoopGroupByClosure`

### createIterator

    public Iterator<Tuple> createIterator(IndexTuple current,
                                          Iterator<IndexTuple> values)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.